Subject: [bess] Some comments on draft-ietf-bess-nsh-bgp-control-plane-03

From: Jiangyuanlong <[email-masked]>
Date: Tue, 26 Jun 2018 13:01:45 +0000

Hi Adrian and co-authors,

I had a review of draft-ietf-bess-nsh-bgp-control-plane-03, thank you for this useful document and hope it can progress quickly.

In my opinion, this version still has some ambiguities which need to be cleaned up:

1.      In Section 3.1.1, it firstly says:" The SFI Pool Identifier is encoded as an 8 octet value as shown in Figure 4."  However, it then says in the end of this subsection: "The SFI Pool Identifier is a six octet, globally unique value encoded in network byte order." These two sentences are confusing.

The 1st occurrence of SFI Pool Identifier shall be fully spelled out as "SFI Pool Identifier extended community". Furthermore, "SPI Pool Identifier" in Figure 4 seems to be "SFI Pool Identifier" as there is no definition for the former term in the document. There are "SPI Pool Identifier" in other sections need to be consistent as well, such as "SPI Pool Identifier" in the last paragraph of Section 3.2.1.3.

2.      The definitions of "Service Function Type" in Figure 3 and Figure 9 are different and ambiguous. Maybe it can be simply defined as "The identifier for a type of service function".

3.      "SFIR-RD List" in Figure 9 may be replaced with "SFIR-RD/SFI pool ID list", as SFI pool ID is different from SFIR-RD and the list may consist of pure SFI pool IDs. One further note is, upon processing this variable, we need to distinguish RD Type and SFI Pool Identifier Type, the IANA will need to take care not to allocate 0x80XX for SFIR-RD Type.

Some minor editorial comments:

4.      "SFRIR-RD list" in Section 4.3 is misspelling.

5.      s/a packets/a packet/

6.      s/ach subtended/as subtended/

BTW, I think it is useful to support load balancing SFs across multiple SFFs as described in Section 5.5 of RFC 7665, this will enable a more flexible deployment of similar service functions in multiple sites across a network, such as in 5G transport.

In fact, Figure 11 in your draft already demonstrates that SF Type 41 has two instances attached to SFF1 and SFF2 respectively, I think another example can be added for load balancing across multiple SFFs, such as the following:

                                             ------

                                            | SFIa |

                                            |SFT=42|

                                             ------

                  ------      ------           |

                 | SFI  |    | SFI  |      ---------

                 |SFT=41|    |SFT=42|     |   SFF5  |

                  ------      ------    ..|192.0.2.5|..

                       \    /         ..:  ---------  :..

                      ---------     .:                 :.---------

       ------        |   SFF1  |--/      ---------     |   SFF3  |

   -->|Class-|.......|192.0.2.1|........|   SFF6  |....|192.0.2.3|-->

   -->| ifier|        ---------         |192.0.2.6|    :---------

       ------                              ---------          |

                                               |            ------

                                             ------        | SFI  |

                                            | SFIb |       |SFT=43|

                                            |SFT=42|        ------

                                             ------

My 2 cents,

B.R,

Yuanlong